hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "stack (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-6581) Build with hadoop.profile=3.0
Date Fri, 12 Sep 2014 23:27:33 GMT

    [ https://issues.apache.org/jira/browse/HBASE-6581?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14132295#comment-14132295
] 

stack commented on HBASE-6581:
------------------------------

Anyone have input on how to do the above migrations?  Appreciated.  Else will start digging.

> Build with hadoop.profile=3.0
> -----------------------------
>
>                 Key: HBASE-6581
>                 URL: https://issues.apache.org/jira/browse/HBASE-6581
>             Project: HBase
>          Issue Type: Bug
>            Reporter: Eric Charles
>            Assignee: Eric Charles
>             Fix For: 2.0.0, 0.99.1
>
>         Attachments: 6581.txt, HBASE-6581-1.patch, HBASE-6581-2.patch, HBASE-6581-20130821.patch,
HBASE-6581-3.patch, HBASE-6581-4.patch, HBASE-6581-5.patch, HBASE-6581-6.patch, HBASE-6581-7.patch,
HBASE-6581-8-pom.patch, HBASE-6581.diff, HBASE-6581.diff
>
>
> Building trunk with hadoop.profile=3.0 gives exceptions (see [1]) due to change in the
hadoop maven modules naming (and also usage of 3.0-SNAPSHOT instead of 3.0.0-SNAPSHOT in hbase-common).
> I can provide a patch that would move most of hadoop dependencies in their respective
profiles and will define the correct hadoop deps in the 3.0 profile.
> Please tell me if that's ok to go this way.
> Thx, Eric
> [1]
> $ mvn clean install -Dhadoop.profile=3.0
> [INFO] Scanning for projects...
> [ERROR] The build could not read 3 projects -> [Help 1]
> [ERROR]   
> [ERROR]   The project org.apache.hbase:hbase-server:0.95-SNAPSHOT (/d/hbase.svn/hbase-server/pom.xml)
has 3 errors
> [ERROR]     'dependencies.dependency.version' for org.apache.hadoop:hadoop-common:jar
is missing. @ line 655, column 21
> [ERROR]     'dependencies.dependency.version' for org.apache.hadoop:hadoop-annotations:jar
is missing. @ line 659, column 21
> [ERROR]     'dependencies.dependency.version' for org.apache.hadoop:hadoop-minicluster:jar
is missing. @ line 663, column 21
> [ERROR]   
> [ERROR]   The project org.apache.hbase:hbase-common:0.95-SNAPSHOT (/d/hbase.svn/hbase-common/pom.xml)
has 3 errors
> [ERROR]     'dependencies.dependency.version' for org.apache.hadoop:hadoop-common:jar
is missing. @ line 170, column 21
> [ERROR]     'dependencies.dependency.version' for org.apache.hadoop:hadoop-annotations:jar
is missing. @ line 174, column 21
> [ERROR]     'dependencies.dependency.version' for org.apache.hadoop:hadoop-minicluster:jar
is missing. @ line 178, column 21
> [ERROR]   
> [ERROR]   The project org.apache.hbase:hbase-it:0.95-SNAPSHOT (/d/hbase.svn/hbase-it/pom.xml)
has 3 errors
> [ERROR]     'dependencies.dependency.version' for org.apache.hadoop:hadoop-common:jar
is missing. @ line 220, column 18
> [ERROR]     'dependencies.dependency.version' for org.apache.hadoop:hadoop-annotations:jar
is missing. @ line 224, column 21
> [ERROR]     'dependencies.dependency.version' for org.apache.hadoop:hadoop-minicluster:jar
is missing. @ line 228, column 21
> [ERROR] 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message